Bug 970786 - Test scenario should support hierarchial object models and collections
Test scenario should support hierarchial object models and collections
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Toni Rikkola
Jiri Locker
Depends On:
  Show dependency treegraph
Reported: 2013-06-04 17:33 EDT by Alessandro Lazarotti
Modified: 2014-02-04 17:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-1416 Major Open Test scenario should support hierarchial object models and collections and accumulates 2017-09-27 03:40 EDT

  None (edit)
Description Alessandro Lazarotti 2013-06-04 17:33:00 EDT
Description of problem:
Test scenario doesn't support complex objects and collections

Version-Release number of selected component (if applicable):

Steps to Reproduce:
I'm using this model: 
declare SubFact
	field: Integer

declare Fact
	subfact: SubFact

With a rule:
1) Add Fact, click on the Fact, choose "Multiple field constraint" : "Any of (Or)", click on "any of the following:" in the editor, choose subfact. 
Then try clicking on that subfact to choose its field or bind a variable - it's not possible, not clickable.

2) Click the green plus sign to add a condition and choose "Any of the following are true", similarly to the above case, choose Fact, click it in the editor, but then choose "Add a restriction on a field" : subfact. Click on subfact in the editor.
You can either bind a variable to that fact or choose its field. BUT once you choose some field, subfact isn't clickable anymore. If you choose and insert a field before that, you can bind that to a variable too and once you bind it, it becomes unclickable too.

3) Save the rule, validate and verify - everything seems ok. Create a test scenario - you can't set the subfact.field inside a Fact.

Actual results:
subfact.field must accessible from test scenario

Expected results:
test scenario supporting complex objects

Additional info:
This issue was partially solved by Bug 724639, but test scenario was not fixed.

Note You need to log in before you can comment on or make changes to this bug.